<template>
  <header class="header">
    <div class="header-wrapper">
      <div class="header-wrapper">
        <!-- <div></div> -->
        <!-- <img src="/img/logo.png" class="header-logo" /> -->

        <ul class="header-links">
          <nuxt-link to="/">Home</nuxt-link>
          <nuxt-link to="/seeker">Dear Seeker</nuxt-link>
          <nuxt-link to="/wholesale">Wholesale</nuxt-link>
          <nuxt-link to="/shop">Shop</nuxt-link>
          <!-- <nuxt-link to="/book?type=digital">About</nuxt-link>
          <nuxt-link to="/book?type=paperback">Paperback</nuxt-link>
          <nuxt-link to="/book?type=Hardcover">Hardcover</nuxt-link> -->
          <!-- <div class="header-cart">
            <Ui-Icon name="cart" />
            <div>
              <span>1</span>
            </div>
          </div> -->
        </ul>
      </div>
    </div>
  </header>
</template>

<script setup></script>

<style lang="scss" scoped>
@use "~/assets/scss/mixins" as *;

.header {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 0px;
  position: sticky;
  z-index: 10;
  backdrop-filter: saturate(180%) blur(20px);
  background: rgba(251, 251, 253, 0.5);
  border-bottom: 1px solid rgba(0, 0, 0, 0.05);
  @include phone {
    padding: 15px 0;
  }

  &-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 70%;
    height: fit-content;
    position: relative;
    @include phone {
      width: 100%;
      padding: 0 10px;
    }
  }

  &-logo {
    width: 44px;
    @include laptop_l {
      width: 34px;
    }
  }

  &-links {
    display: flex;
    align-items: center;
    gap: 30px;
    font-size: 13px;
    @include laptop_l {
      gap: 60px;
      font-size: 10px;
    }
    @include phone {
      gap: 15px;
      font-size: 15px;
    }
    @include phone_s {
      gap: 10px;
      font-size: 14px;
    }

    a {
      padding: 20px 30px;
      @include laptop_l {
        padding: 14px 15px;
      }
      @include phone {
        padding: 5px 10px;
      }
      @include phone_s {
        padding: 5px 10px;
      }
    }
    // a {
    //   padding: 5px 15px;
    //   background-color: #1897ff;
    //   color: #fff;
    //   border-radius: 20px;
    // }
  }

  &-cart {
    position: relative;
    div {
      width: 16px;
      height: 16px;
      background-color: #000;
      position: absolute;
      top: 8px;
      left: 5px;
      border-radius: 20px;
      display: flex;
      align-items: center;
      justify-content: center;
      @include laptop_l {
        width: 12px;
        height: 12px;
        left: 6px;
      }
    }

    span {
      color: #fff;
      font-size: 10px;
      @include laptop_l {
        font-size: 8px;
      }
    }

    svg {
      fill: transparent;
      width: 18px;
      height: 18px;
      @include laptop_l {
        width: 16px;
        height: 16px;
      }
    }
  }
}
</style>
